Package org.eclipse.jgit.events

## Class ConfigChangedEvent

- java.lang.Object
- - org.eclipse.jgit.events.RepositoryEvent<ConfigChangedListener>
  - - org.eclipse.jgit.events.ConfigChangedEvent

    public class ConfigChangedEvent
    extends RepositoryEvent<ConfigChangedListener>

Describes a change to one or more keys in the configuration.

### Constructor Summary

Constructors
`ConfigChangedEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatch​(ConfigChangedListener listener)` Dispatch this event to the given listener.
`Class<ConfigChangedListener>` `getListenerType()`

### Methods inherited from class org.eclipse.jgit.events.RepositoryEvent

`getRepository, setRepository, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigChangedEvent

    public ConfigChangedEvent()

### Method Detail

#### getListenerType

    public Class<ConfigChangedListener> getListenerType()

Specified by:
  `getListenerType` in class `RepositoryEvent<ConfigChangedListener>`
Returns:
  type of listener this event dispatches to.

#### dispatch

    public void dispatch​(ConfigChangedListener listener)

Description copied from class: `RepositoryEvent`
Dispatch this event to the given listener.

Specified by:
  `dispatch` in class `RepositoryEvent<ConfigChangedListener>`
Parameters:
  `listener` - listener that wants this event.